> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/it/editori/exoclick-rtb/bid-response.md).

# Risposta all'offerta RTB di ExoClick

La pagina seguente descrive le risposte che dovresti aspettarti di ricevere dalle richieste ExoClick RTB:

## Oggetto di risposta dell'offerta

La risposta all'asta RTB di ExoClick viene effettuata usando JSON e XML.

| Attributo   | Descrizione                                                                                                                                         |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | ID dell'oggetto a cui si applica questa offerta (stringa)                                                                                           |
| imgUrl      | URL dell'immagine (solo per il tipo banner) (stringa)                                                                                               |
| iconUrl     | URL dell'icona (solo per il tipo push\_notification e deve avere le dimensioni richieste) (stringa)                                                 |
| clickUrl    | URL di inoltro quando si fa clic sulla campagna (per il tipo banner o push\_notification) (stringa)                                                 |
| nUrl        | URL di notifica della vittoria (stringa)                                                                                                            |
| url         | URL di inoltro quando si fa clic sulla campagna (solo per il tipo popunder) (stringa)                                                               |
| title       | Titolo dell'annuncio (solo per il tipo push\_notification) (stringa)                                                                                |
| description | Descrizione dell'annuncio (solo per il tipo push\_notification) (stringa)                                                                           |
| value       | Prezzo dell'offerta in CPM (float)                                                                                                                  |
| btype       | Modello di prezzo. Valori: 1 = CPM, 2 = CPC. Predefinito = 1 (int). Quando la risposta è per una richiesta di una zona Email Clicks, 1 = Smart CPC. |

**Note:**

* `"id"` l'attributo deve corrispondere all' **"id ricevuto nella richiesta"**.
* **Notifica push** il formato dell'annuncio può ricevere offerte con il modello di prezzo CPC. **Direct Link** il formato può anche, quando utilizzato per **Email Click** richieste di zona.

## Notifica di vincita

Quando il parametro **Oggetto della risposta all'offerta > nUrl** è presente nella risposta dell'offerta, deve essere eseguita una richiesta GET a tale URL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/it/editori/exoclick-rtb/bid-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
